| QxOrm 1.4.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Static Protected Attributes
qx::serialization::helper::QxSerializeCheckInstance Class Reference
QxSerialize : QxOrm library serialization engine based on 'boost::serialization' library

qx::serialization::helper::QxSerializeCheckInstance : check instance during serialization process to avoid infinite loop with circular references (using RAII) More...

`#include <QxSerializeCheckInstance.h>`

List of all members.

## Public Member Functions
| QxSerializeCheckInstance (const void *pInstance)
virtual | ~QxSerializeCheckInstance ()
## Static Public Member Functions
static bool | contains (const void *pInstance)
## Protected Attributes
qptrdiff | m_pInstance
| Instance associated to this helper class.
Qt::HANDLE | m_lThreadId
| Thread id associated to this helper class.
## Static Protected Attributes
static QSet< QPair< Qt::HANDLE, qptrdiff > > | m_lstInstanceByThread
| List of all instances currently used by a serialization process.

## Detailed Description

qx::serialization::helper::QxSerializeCheckInstance : check instance during serialization process to avoid infinite loop with circular references (using RAII)

Definition at line 58 of file QxSerializeCheckInstance.h.

## Constructor & Destructor Documentation

qx::serialization::helper::QxSerializeCheckInstance::QxSerializeCheckInstance | ( | const void * | pInstance | ) |

virtual qx::serialization::helper::QxSerializeCheckInstance::~QxSerializeCheckInstance | ( |  | ) | `[virtual]`

## Member Function Documentation

static bool qx::serialization::helper::QxSerializeCheckInstance::contains | ( | const void * | pInstance | ) | `[static]`

## Member Data Documentation

QSet< QPair<Qt::HANDLE, qptrdiff> > qx::serialization::helper::QxSerializeCheckInstance::m_lstInstanceByThread`[static, protected]`

List of all instances currently used by a serialization process.

Definition at line 63 of file QxSerializeCheckInstance.h.

Qt::HANDLE qx::serialization::helper::QxSerializeCheckInstance::m_lThreadId`[protected]`

Thread id associated to this helper class.

Definition at line 66 of file QxSerializeCheckInstance.h.

qptrdiff qx::serialization::helper::QxSerializeCheckInstance::m_pInstance`[protected]`

Instance associated to this helper class.

Definition at line 65 of file QxSerializeCheckInstance.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxSerialize/QxSerializeCheckInstance.h